### Property

# Ide Workbench:vcs

#### Declaration

    property vcs: Ide.Vcs [ read, write ]

#### Description

The “vcs” property contains an `IdeVcs` that represents the version control system that is currently loaded for the project.

The `IdeVcs` is registered by an `IdeWorkbenchAddin` when loading a project.

Type: | `IdeVcs`
Available since: | 3.32

Setter method | `ide_workbench_set_vcs()`
Getter method | `ide_workbench_get_vcs()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no